<?php

/**
 * @file
 * This file holds main views functions for the openlayers_views module.
 *
 * @ingroup openlayers
 */

/**
 * Implementation of hook_views_plugins().
 */
function views_block_inception_views_plugins() {
  $path = drupal_get_path('module', 'views_block_inception');

  return array(
    'style' => array(
      'views_block_inception_block' => array(
        'title' => t('Block'),
        'help' => t('Displays result in system block'),
        'handler' => 'views_block_inception_style_block',
        'path' => $path . '/views',
        'theme' => 'views_block_inception_style',
        'theme file' => 'theme.inc',
        'theme path' => $path . '/theme',
        'uses fields' => TRUE,
        'uses row plugin' => TRUE,
        'uses options' => TRUE,
        'type' => 'normal',
      ),
    ),
    'row' => array(
      'views_block_inception_block' => array(
        'title' => t('Block row'),
        'help' => t('Displays row in a system block'),
        'handler' => 'views_block_inception_row_block',
        'path' => $path . '/views',
        'theme' => 'views_block_inception_row',
        'theme file' => 'theme.inc',
        'theme path' => $path . '/theme',
        'uses fields' => TRUE,
        'uses row plugin' => TRUE,
        'uses options' => TRUE,
        'type' => 'normal',
      )
    )


  );
}
