<?php

class views_block_inception_row_block extends views_plugin_row {
  function option_definition() {
    $options = parent::option_definition();

    $options['subject'] = '';
    $options['content'] = '';
    $options['default_field_elements'] = array('default' => TRUE, 'bool' => TRUE);

    return $options;
  }

  /**
   * Provide a form for setting options.
   */
  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);
    $options = $this->display->handler->get_field_labels();

    if (empty($this->options['inline'])) {
      $this->options['inline'] = array();
    }

    $form['subject'] = array(
      '#type' => 'select',
      '#subject' => t('Subject field'),
      '#description' => t('Select the field that will be the subject of the block'),
      '#options' => $options,
      '#default_value' => $this->options['subject'],
    );

    $form['content'] = array(
      '#type' => 'select',
      '#subject' => t('Content field'),
      '#description' => t('Content field'),
      '#options' => $options,
      '#default_value' => $this->options['content'],
    );
  }

}
