<?php

/**
 * @class
 * Extension of the Views Plugin Syle for OpenLayers
 *
 * This class extended the default views plugin class to provide
 * a style plugin for the Open Layers module.
 */
class views_block_inception_style_block extends views_plugin_style {
  /**
   * Set default options
   */
  function option_definition() {
    $options = parent::option_definition();
    $options['subject'] = '';
    $options['content'] = '';
    return $options;
  }

  /**
   * Options form
   */
  function options_form(&$form, &$form_state) {
    parent::options_form($form, $form_state);

    // Get list of fields in this view
    $handlers = $this->display->handler->get_handlers('field');

    $fields = array();
    foreach ($handlers as $field_id => $handler) {
      $fields[$field_id] = $handler->ui_name();
    }

    $form['subject'] = array(
      '#type' => 'select',
      '#title' => t('Subject field'),
      '#description' => t('Select the field that will be the subject of the block'),
      '#options' => $fields,
      '#default_value' => $this->options['subject'],
    );

    $form['content'] = array(
      '#type' => 'select',
      '#title' => t('Content field'),
      '#description' => t('Content field'),
      '#options' => $fields,
      '#default_value' => $this->options['content'],
    );

  }

}
